/*
 * mdh (MailDooHicky)
 *
 * Copyright (c) 2003 Mike Hokenson <mdh at gozer dot org>
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. The name of the author may not be used to endorse or promote products
 *    derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

gint mdh_window_event(GtkWidget *widget, GdkEvent *event, gpointer data);

GtkWidget *mdh_button_new_custom_stock(const gchar *stock_id,
                                       const gchar *text);

void mdh_tooltips_set_tip(GtkTooltips *tips,
                          GtkWidget *widget,
                          const gchar *tip);

void mdh_widget_set_font(GtkWidget *widget, const gchar *font);
void mdh_label_set_text(GtkLabel *label, const gchar *text, gboolean bold);

void mdh_window_notice(const gchar *head, const gchar *body);
void mdh_window_error(const gchar *head, const gchar *body);

void gtk_widget_can_focus(GtkWidget *widget, gboolean value);

void mdh_widget_set_default(GtkWindow *window, GtkWidget *button);

void mdh_label_set_larger(GtkLabel *label, const gchar *text);
void mdh_label_set_smaller(GtkLabel *label, const gchar *text);
void mdh_label_set_bold(GtkLabel *label, const gchar *text);

GtkWidget *mdh_label_new(const gchar *fmt, ...);

gboolean mdh_window_yes_no_prompt(const gchar *text);

#if (!defined(GTK_CHECK_VERSION) || !GTK_CHECK_VERSION(2, 2, 0))
void
gtk_list_store_swap (GtkListStore *store,
                     GtkTreeIter  *a,
                     GtkTreeIter  *b);
#endif
