/*
 * mdh (MailDooHicky)
 *
 * Copyright (c) 2003 Mike Hokenson <mdh at gozer dot org>
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. The name of the author may not be used to endorse or promote products
 *    derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#define mdh_toolbar_set_location() \
  { \
    gtk_widget_set_uposition(Toolbar.window, Toolbar.geom_x, Toolbar.geom_y); \
  }

#define mdh_toolbar_window_toggle_open(v) \
    { \
        *v = !*v; \
        mdh_toolbar_menu_destroy(); \
    }

void mdh_toolbar_button_add(GtkWidget *box, struct button_t *obj);
void mdh_toolbar_custom_add(GtkWidget *box, struct custom_t *obj);
void mdh_toolbar_panel_add(GtkWidget *box, struct panel_t *obj,
                           gint type, gint id);

void mdh_toolbar_panel_start(struct panel_t *obj);
void mdh_toolbar_panel_stop(struct panel_t *obj);

void mdh_toolbar_menu_destroy(void);

void mdh_toolbar_check_panels(void);

void mdh_toolbar_panel_new(struct panel_t *obj);
void mdh_toolbar_custom_new(struct custom_t *obj);
void mdh_toolbar_button_new(struct button_t *obj);

void mdh_toolbar_toggle_all(void);

void mdh_toolbar_panel_refresh(struct panel_t *obj);
void mdh_toolbar_panel_refresh_all(void);

GtkFunction mdh_toolbar_menu_show(void);

void mdh_toolbar_panel_command_execute(struct panel_t *obj);
void mdh_toolbar_custom_command_execute(struct custom_t *obj);

void mdh_toolbar_lock_workstation(void);

void mdh_toolbar_reset(void);
void mdh_toolbar_reset_custom_buttons(void);

void mdh_toolbar_add_error_log_entry(struct panel_t *obj, gint err,
                                     const gchar *fmt, ...);

const gchar *mdh_toolbar_version(void);

gboolean mdh_toolbar_exec(const gchar *command);

#define ADD_LOG          mdh_toolbar_add_error_log_entry
